%define pkg_name	lineak_xosdplugin
%define pkg_ver	0.8.2
%define pkg_rel	2%{_my_ext}
%define pkg_copy	GPL
%define need_ver	0.8

# Use this definition for RedHat/Fedora
#define xosd_name   xosd
# Use this definition for Mandrake
%define xosd_name	libxosd2

# This spec file was generated using Kpp
# If you find any problems with this spec file please report
Summary:		This is the XOSD Onscreen Display plugin for the lineakd daemon. 
Name:			%{pkg_name}
Version:			%{pkg_ver}
Release:			%{pkg_rel}
Copyright:		%{pkg_copy}
Url:				http://lineak.sourceforge.net
Group:			Utilities/System
Source: 			%{pkg_name}-%{pkg_ver}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
Requires:		lineakd >= %{need_ver}
BuildRequires:	lineakd >= %{need_ver}
Requires:		%{xosd_name} >= 2.1
BuildRequires:	%{xosd_name}-devel >= 2.1
Vendor:			%{vendor}
Packager:		%{packager}
Distribution:		%{distribution}

%description
  This plugin allows display using the xosd library.
  It requires that you have the following configuration options
  in your lineakd.conf file:
  Display_plugin = xosd
  It also understands the following configuration directives.
  Display_font =
  Display_color =
  Display_pos =
  Display_align =
  Display_timeout =
  Display_hoffset =
  Display_voffset =
  Display_soffset =

%prep
%setup
export WANT_AUTOCONF_2_5=1
%configure --prefix=/usr
%build

%install
# [  %{buildroot} != "/" ] && rm -rf %{buildroot}

# make install doesn't seem to understand the install root, so install this manually
# install -D xosd_plugin/.libs/xosdplugin.so %{buildroot}%{_libdir}/lineakd/plugins/xosdplugin.so
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%{_libdir}/lineakd/plugins/xosdplugin.so
%{_libdir}/lineakd/plugins/xosdplugin.la
%{_mandir}/man1/lineak_xosdplugin.1.bz2

%doc AUTHORS COPYING ChangeLog README TODO
%doc %{_mandir}

%changelog
* Sun Dec 19 2004  Scott Grayban <sgrayban@borgnet.us> 0.8.2-2bgn
 - rebuild for right extension

* Thu Dec 2 2004 Scott Grayban <sgrayban@borgnet.us> 0.8.2
 - Fixed spec file according to Mandrake's policy
 - Fixed build options

* Tue Feb 10  2004 Chris Petersen <rpm@forevermore.net>
- Updated spec format and made it more compatible with rpmmacros and RedHat/Fedora
